/* WebWizard.Prg - Web Wizards for Visual dBASE 7

	Purpose			To generate interactive Web Applications using CGI-BIN using
                  Visual dBASE 7

   Limitations    Drill-down (second report) is not currently streamed, though
                  it can be selected.
                  There are no internationalization strings included
                  CGI is done with a Bat file. This will be replaced with a DLL

   Files:			WebWizard.prg 	Main design form
                  WebWizard.cc   Supporting class for main form
                  WizHTML.cc     UI container for HTML formatting
                  Wizout.cc      Streaming classes for CGI, EXE and HTML
                  Wizrscr.cc     Contains internationalization strings

                  This application includes many bitmaps.
                  The following are absolutely required:
                  Reports.bmp 	Webwiz.gif
                  Query.bmp      Arrow.bmp
                  DataEntr.bmp

  Author:			A. A. Katz (Ksoft, Inc.)

  Version:			1.0  11/18/1997

  (c) 1997 Borland International, all rights reserved

*/

cLoadpath = substr(program(1),1,rat('\',Program(1)))
cd (cLoadPath)

//////Set environment

SET TALK OFF
SET EXACT OFF
CLOSE ALL
SET DELETED ON
SET CUAENTER OFF

////// Open splash form while loading


 _app.splash= new SplashForm()
 _app.splash.open()



 ////// load help
 if file(cLoadPath+'Webwiz.hlp')
   set help to (cLoadPath+'Webwiz.hlp')
 else
   set help to
 endif

 ////// Pre-load program code

 set proc to (program(1)) addi
 set proc to (cLoadPath+'Webwizard.wfm') addi
 set proc to (cLoadPath+'Webwizard.cc') addi
 set proc to (cLoadPath+'Wizout.cc') addi
 set proc to (cLoadPath+'Wizhtml.cc') addi

 //// Instantiate main form
 f  = new WebWizardForm()
 f.cLoadPath = cLoadPath

 ////// Close splash screen
 _app.splash.close()
 _app.splash.release()
 _app.splash = Null

 ////// Open main form
 f.Open()


 Class SplashForm of Form
   with (this)
      onOpen = class::Form_OnOpen
      scaleFontBold = false
      text = 'Visual dBASE 7 Web Wizards'
      height = 5.8182
      left = 31
      top = 7.7727
      width = 46
      autoCenter = true
   endwith

 
   this.TEXT1 = new TEXT(this)
   with (this.TEXT1)
      height = 1.4545
      left = 14.7143
      top = 1.9545
      width = 30.7143
      metric = 0	// Chars
      colorNormal = "BtnText/BtnFace"
      text = '<p>Loading...</p><p><font color="white">The Visual dBASE 7 Web Wizards</font></p>'
   endwith
   

   function Form_OnOpen
   this.IMAGE1 = new IMAGE(this)
   with (this.IMAGE1)
      height = 3.1818
      left = 1.4286
      top = 1.3
      width = 8.5714
      metric = 0	// Chars
      dataSource = "FILENAME DataEntr.bmp"
      alignment = 4	// True size
      borderStyle = 3	// None
      transparent = true
   endwith
   
   super::Open()

endclass 

